import { z } from 'zod'

export default class POST_FROM_NETWORK {
    prefix = "POST_FROM_NETWORK"
    indices = null

    constructor(indices) {
      this.indices = indices
    }
    
    schema = z.object({
      id: z.number(),
      type: z.string(),
      from: z.string(),
      to: z.string(),
      created: z.string()
    })
    .strict()
    
    getByNetwork(id) {
      let result = []
        for(let i = this.indices[0]; i < this.indices[1]; i++) {
            if(global.db.edges[i].to === `${global.db.networks.prefix}-${id}`) {
                result.push(global.db.edges[i])
            }
        }
        return result
    }
}